IntegerParameter Class Reference

`#include <IntegerParameter.h>`

Inheritance diagram for IntegerParameter:

## Public Member Functions

| IntegerParameter (const string &name, const string &description, unsigned int defaultValue)
unsigned int | getValue () const
void | setValue (unsigned int value)
| operator unsigned int () const
void | operator= (unsigned int value)
Public Member Functions inherited from Parameter
| Parameter (const string &name, const string &description)
virtual | ~Parameter ()
const string & | getName () const
const string & | getDescription () const
string | getArgumentType () const
string | getValueAsString () const
void | appendToDescription (const char *str)
void | processArguments (const char **args, size_t argCount)

## Private Member Functions

virtual string | doGetArgumentType () const
virtual string | doGetValueAsString () const
virtual pair< size_t, size_t > | doGetArgumentCountRange () const
virtual void | doProcessArguments (const char **args, size_t argCount)

## Private Attributes

unsigned int | _value

## Detailed Description

Definition at line 24 of file IntegerParameter.h.

## Constructor & Destructor Documentation

## IntegerParameter()

IntegerParameter::IntegerParameter | ( | const string & | name,
|  | const string & | description,
|  | unsigned int | defaultValue )

Definition at line 23 of file IntegerParameter.cpp.

## Member Function Documentation

## doGetArgumentCountRange()

pair< size_t, size_t > IntegerParameter::doGetArgumentCountRange | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 40 of file IntegerParameter.cpp.

## doGetArgumentType()

string IntegerParameter::doGetArgumentType | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 30 of file IntegerParameter.cpp.

## doGetValueAsString()

string IntegerParameter::doGetValueAsString | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 34 of file IntegerParameter.cpp.

## doProcessArguments()

void IntegerParameter::doProcessArguments | ( | const char ** | args,
|  | size_t | argCount )

private virtual

Implements Parameter.

Definition at line 44 of file IntegerParameter.cpp.

## getValue()

unsigned int IntegerParameter::getValue | ( |  | ) | const

inline

Definition at line 30 of file IntegerParameter.h.

## operator unsigned int()

IntegerParameter::operator unsigned int | ( |  | ) | const

inline

Definition at line 33 of file IntegerParameter.h.

## operator=()

void IntegerParameter::operator= | ( | unsigned int | value | ) |

inline

Definition at line 34 of file IntegerParameter.h.

## setValue()

void IntegerParameter::setValue | ( | unsigned int | value | ) |

inline

Definition at line 31 of file IntegerParameter.h.

## Member Data Documentation

## _value

unsigned int IntegerParameter::_value

private

Definition at line 42 of file IntegerParameter.h.

The documentation for this class was generated from the following files:

- src/IntegerParameter.h
- src/IntegerParameter.cpp